<template>
  <el-input :clearable="true" v-model="Text" :readonly="readFlag" @focus="focusHandle" @blur="blurHandle" style="width: 220px">
    <i slot="prefix" class="el-input__icon el-icon-search"></i>
  </el-input>
</template>

<script>
export default {
  name: "FormInput",
  data(){
    return {
      Text:"333",
      readFlag:false
    }
  },
  methods:{
    focusHandle(){
      this.readFlag=true
    },
    blurHandle(){
      this.readFlag=false
    }
  }
}
</script>

<style scoped>

</style>
